Name:           multimedia-menus
Version:        0.3.2
Release:        1%{?dist}
Summary:        Categorization for the GNOME/KDE Sound&Video/Multimedia menu
Group:          User Interface/Desktops
# Licensing of individual parts is explained in licensing.txt file
License:        GPLv2+ and LGPLv2+ and GPL+ and LGPLv2 and LGPLv3+ and GPLv2 and MIT
URL:            https://fedorahosted.org/multimedia-menus/
Source0:        http://oget.fedorapeople.org/multimedia-menus/SOURCE/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  intltool
Requires:       redhat-menus hicolor-icon-theme

%description
Categorized submenus for the GNOME/KDE Audio&Video/Multimedia menu, for better
usuability and easy access of multimedia applications.


%prep
%setup -q


%build
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/desktop-directories/
install -p -m 644 multimedia-categories.menu \
  $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged/
cp -a desktop-directories/*.directory \
  $RPM_BUILD_ROOT%{_datadir}/desktop-directories/
cp -a icons/* $RPM_BUILD_ROOT%{_datadir}/icons/


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS changelog.txt licensing.txt COPYING*
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/multimedia-categories.menu
%{_datadir}/desktop-directories/multimedia-*.directory
%{_datadir}/icons/hicolor/*/apps/multimedia-*.png


%changelog
* Sun Apr 18 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.2-1
- Version bump with new translations

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.1-1
- Version bump with new translations

* Tue Sep 15 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3-2
- Add missing BR: intltool

* Tue Sep 15 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3-1
- Lots of translations! YAAY!
- Change URL to fedorahosted

* Tue Aug 04 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.2-1
- Version bump with fixes in category names

* Sat Jul 25 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.1-2
- Correct Source0
- Add dist tag

* Sat Jul 18 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.1-1
- Initial build
